WARNING This endpoint is deprecated and scheduled to be removed in the next major version. Use Update deployment instead.
Upgrades a running cluster.
Path parameters
-
Identifier for the Deployment.
-
The kind of stateless resource
Values are
kibana,apm,appsearch,enterprise_search, orintegrations_server. -
User-specified RefId for the Resource (or '_main' if there is only one).
Query parameters
-
When
true, returns the update version without performing the upgradeDefault value is
false.
Responses
-
The upgrade command was issued successfully. Use the "GET" command on the /{deployment_id} resource to monitor progress
-
- The Deployment specified by {deployment_id} cannot be found. (code:
deployments.deployment_not_found) - The Resource specified by {ref_id} cannot be found. (code:
deployments.deployment_resource_not_found)
- The Deployment specified by {deployment_id} cannot be found. (code:
POST
/deployments/{deployment_id}/{stateless_resource_kind}/{ref_id}/_upgrade
curl \
--request POST 'https://{{hostname}}/api/v1/deployments/{deployment_id}/{stateless_resource_kind}/{ref_id}/_upgrade' \
--user "username:password"